Browse Source

Add of script to update dimensions of p3d_ scenes

Jérôme BUISINE 9 months ago
parent
commit
d2d3dfd994
51 changed files with 183 additions and 95 deletions
  1. 2 2
      barcelona-pavilion/p3d_pavilion-day.pbrt
  2. 2 2
      barcelona-pavilion/p3d_pavilion-night.pbrt
  3. 2 2
      bathroom/p3d_bathroom.pbrt
  4. 2 2
      bedroom/p3d_bedroom.pbrt
  5. 2 2
      bmw-m6/p3d_bmw-m6.pbrt
  6. 2 2
      bunny-fur/p3d_bunny-fur.pbrt
  7. 2 2
      car2/p3d_car2.pbrt
  8. 36 0
      change_dimensions_all.sh
  9. 52 0
      change_dimensions_pbrt.py
  10. 1 1
      change_ext_all.sh
  11. 0 2
      change_ext_pbrt.py
  12. 2 2
      change_integrator_all.sh
  13. 2 2
      change_sampler_all.sh
  14. 2 2
      chopper-titan/p3d_chopper-titan.pbrt
  15. 2 2
      classroom/p3d_classroom.pbrt
  16. 2 2
      coffee-splash/p3d_splash.pbrt
  17. 2 2
      contemporary-bathroom/p3d_contemporary-bathroom.pbrt
  18. 2 2
      crown/p3d_crown.pbrt
  19. 2 2
      dining-room/p3d_dining-room.pbrt
  20. 2 2
      dragon/p3d_dragon.pbrt
  21. 2 2
      ecosys/p3d_ecosys.pbrt
  22. 2 2
      ganesha/p3d_ganesha.pbrt
  23. 2 2
      glass-of-water/p3d_glass-of-water.pbrt
  24. 1 1
      glass/p3d_glass.pbrt
  25. 2 2
      kitchen/p3d_kitchen.pbrt
  26. 2 2
      lamp/p3d_lamp.pbrt
  27. 2 2
      landscape/p3d_view-0.pbrt
  28. 2 2
      landscape/p3d_view-1.pbrt
  29. 2 2
      landscape/p3d_view-2.pbrt
  30. 2 2
      landscape/p3d_view-3.pbrt
  31. 2 2
      landscape/p3d_view-4.pbrt
  32. 2 2
      living-room-2/p3d_living-room-2.pbrt
  33. 2 2
      living-room-3/p3d_living-room-3.pbrt
  34. 2 2
      living-room/p3d_living-room.pbrt
  35. 2 2
      spaceship/p3d_spaceship.pbrt
  36. 2 2
      sportscar/p3d_sportscar.pbrt
  37. 2 2
      sssdragon/p3d_dragon_250.pbrt
  38. 2 2
      staircase/p3d_staircase.pbrt
  39. 2 2
      staircase2/p3d_staircase2.pbrt
  40. 3 1
      structuresynth/p3d_arcsphere.pbrt
  41. 2 2
      tt/p3d_tt.pbrt
  42. 2 2
      tungsten_veach-bidir/p3d_veach-bidir.pbrt
  43. 2 2
      tungsten_veach-mis/p3d_veach-mis.pbrt
  44. 2 2
      veach-ajar/p3d_veach-ajar.pbrt
  45. 2 2
      veach-bidir/p3d_bidir.pbrt
  46. 2 2
      villa/p3d_villa-daylight.pbrt
  47. 2 2
      volume-caustic/p3d_caustic.pbrt
  48. 2 2
      vw-van/p3d_vw-van.pbrt
  49. 2 2
      water-caustic/p3d_water-caustic.pbrt
  50. 2 2
      white-room/p3d_whiteroom-daytime.pbrt
  51. 2 2
      white-room/p3d_whiteroom-night.pbrt

+ 2 - 2
barcelona-pavilion/p3d_pavilion-day.pbrt

@@ -1,6 +1,6 @@
 Film "image"
-    "integer xresolution" 1920 
-    "integer yresolution" 1080
+	"integer xresolution" 1920
+	"integer yresolution" 1080
     "string filename" "p3d_pavilion-day.rawls"
     "float maxsampleluminance" 10
     "float scale" 5

+ 2 - 2
barcelona-pavilion/p3d_pavilion-night.pbrt

@@ -1,6 +1,6 @@
 Film "image"
-    "integer xresolution" 1920 
-    "integer yresolution" 1080
+	"integer xresolution" 1920
+	"integer yresolution" 1080
     "string filename" "p3d_pavilion-night.rawls"
     "float scale" 2.5
     "float maxsampleluminance" 10

+ 2 - 2
bathroom/p3d_bathroom.pbrt

@@ -5,8 +5,8 @@ Camera "perspective" "float fov" 60
    "float focaldistance" 31 "float lensradius" .15 # .2 # .4
 
 Film "image" 
-    "integer xresolution" 1920 
-    "integer yresolution" 1080
+	"integer xresolution" 1920
+	"integer yresolution" 1080
     "string filename" "p3d_bathroom.rawls"
 # imgtool convert -bloomscale .1 -bloomlevel 5 bathroom.exr bathroom.png
 

+ 2 - 2
bedroom/p3d_bedroom.pbrt

@@ -4,8 +4,8 @@ Integrator "path" "integer maxdepth" [ 65 ]
 Sampler "random" "integer pixelsamples" [ 64 ]
 PixelFilter "triangle" "float xwidth" [ 1.000000 ] "float ywidth" [ 1.000000 ] 
 Film "image" 
-	 "integer xresolution" 1920 
-	 "integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
 	 "string filename" [ "p3d_bedroom.rawls" ]
 #Camera "perspective" "float fov" [ 39.430485 ] 
 

+ 2 - 2
bmw-m6/p3d_bmw-m6.pbrt

@@ -1,7 +1,7 @@
 
 Film "image" 
-    "integer xresolution" 1920 
-    "integer yresolution" 1080
+	"integer xresolution" 1920
+	"integer yresolution" 1080
     "string filename" "p3d_bmw-m6.rawls"
     "float maxsampleluminance" 10
     "float scale" 6

+ 2 - 2
bunny-fur/p3d_bunny-fur.pbrt

@@ -1,6 +1,6 @@
 Film "image" 
-    "integer xresolution" 1920 
-    "integer yresolution" 1080
+	"integer xresolution" 1920
+	"integer yresolution" 1080
     "string filename" "p3d_bunny-fur.rawls"
 
 Sampler "random" "integer pixelsamples" [ 64 ]

+ 2 - 2
car2/p3d_car2.pbrt

@@ -4,8 +4,8 @@ Integrator "path" "integer maxdepth" [ 65 ]
 Sampler "random" "integer pixelsamples" [ 64 ]
 PixelFilter "triangle" "float xwidth" [ 1.000000 ] "float ywidth" [ 1.000000 ] 
 Film "image" 
-	"integer xresolution" 1920 
-	"integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
 	"string filename" [ "p3d_car2.rawls" ]
 #Camera "perspective" "float fov" [ 20.114292 ] 
 

+ 36 - 0
change_dimensions_all.sh

@@ -0,0 +1,36 @@
+#! /bin/bash
+if [ -z "$1" ]
+  then
+    echo "No argument supplied"
+    echo "Need previous extension used"
+    exit 1
+fi
+
+if [ -z "$2" ]
+  then
+    echo "No argument supplied"
+    echo "Need new extension to use"
+    exit 1
+fi
+
+
+main_folder="./"
+prefix="p3d_"
+
+xresolution=$1
+yresolution=$2
+
+for folder in $(ls -d -- ${main_folder}*/)
+do
+  for file in $(ls $folder)
+  do
+    filename=$folder$file
+    filename_fixed=${filename//\/\//\/}
+
+    # check if filename contains 
+    if [[ "$file" == ${prefix}* ]]; then
+        echo "Update image extension (.${previous} to .${new_ext}) into ${filename_fixed}"
+        python change_dimensions_pbrt.py --xresolution ${xresolution} --yresolution ${yresolution} --pbrt ${filename_fixed}
+    fi 
+  done
+done

+ 52 - 0
change_dimensions_pbrt.py

@@ -0,0 +1,52 @@
+# main imports
+import sys, os, argparse
+import json
+
+
+xresolution_line = "\"integer xresolution\""
+yresolution_line = "\"integer yresolution\""
+
+def main():
+
+    parser = argparse.ArgumentParser(description="Update image output dimensions of pbrt scene")
+
+    parser.add_argument('--xresolution', type=int, help='xresolution to set into image output scene', required=True)
+    parser.add_argument('--yresolution', type=int, help='yresolution to set into image output scene', required=True)
+    parser.add_argument('--pbrt', type=str, help='pbrt scene name (this one to convert)', required=True)
+
+    args = parser.parse_args()
+
+    p_xresolution = args.xresolution
+    p_yresolution = args.yresolution
+    p_pbrt        = args.pbrt
+    
+
+    output_content = ""
+    # read existing pbrt file
+    pbrt_file = open(p_pbrt, 'r')
+    pbrt_lines = pbrt_file.readlines()
+
+    for line in pbrt_lines:
+
+        output_line = line
+        
+        # Update xresolution into file
+        if line.find(xresolution_line) != -1:
+            output_line = "\t" + xresolution_line + " " + str(p_xresolution) + '\n'
+
+        # Update yresolution into file
+        if line.find(yresolution_line) != -1:
+            output_line = "\t" + yresolution_line + " " + str(p_yresolution) + '\n'
+
+        output_content = output_content + output_line
+
+    # close all buffers
+    pbrt_file.close()
+
+    # update content
+    pbrt_outfile = open(p_pbrt, 'w')
+    pbrt_outfile.write(output_content)
+    pbrt_outfile.close()
+
+if __name__== "__main__":
+    main()

+ 1 - 1
change_ext_all.sh

@@ -29,7 +29,7 @@ do
 
     # check if filename contains 
     if [[ "$file" == ${prefix}* ]]; then
-        echo "Update image extension (.${previous} to .${new_ext}) into ${filename}"
+        echo "Update image extension (xresolution to ${xresolution} and yresolution to ${yresolution}) into ${filename_fixed}"
         python change_ext_pbrt.py --prefix ${prefix} --pbrt ${filename} --previous ${previous} --ext ${new_ext}
     fi 
   done

+ 0 - 2
change_ext_pbrt.py

@@ -3,8 +3,6 @@ import sys, os, argparse
 import json
 
 
-# default file
-
 def main():
 
     parser = argparse.ArgumentParser(description="Update prefix image output of pbrt scene")

+ 2 - 2
change_integrator_all.sh

@@ -12,8 +12,8 @@ do
 
     # check if filename contains 
     if [[ "$file" == ${prefix}* ]]; then
-        echo "Update Integrator into ${filename}"
-        python change_integrator_pbrt.py --prefix ${prefix} --pbrt ${filename}
+        echo "Update Integrator into ${filename_fixed}"
+        python change_integrator_pbrt.py --prefix ${prefix} --pbrt ${filename_fixed}
     fi 
   done
 done

+ 2 - 2
change_sampler_all.sh

@@ -12,8 +12,8 @@ do
 
     # check if filename contains 
     if [[ "$file" == ${prefix}* ]]; then
-        echo "Update Sampler into ${filename}"
-        python change_sampler_pbrt.py --prefix ${prefix} --pbrt ${filename}
+        echo "Update Sampler into ${filename_fixed}"
+        python change_sampler_pbrt.py --prefix ${prefix} --pbrt ${filename_fixed}
     fi 
   done
 done

+ 2 - 2
chopper-titan/p3d_chopper-titan.pbrt

@@ -1,7 +1,7 @@
 
 Film "image" 
-    "integer xresolution" 1920 
-    "integer yresolution" 1080
+	"integer xresolution" 1920
+	"integer yresolution" 1080
 	"string filename" "p3d_chopper-titan.rawls"
 	"float maxsampleluminance" 20
 

+ 2 - 2
classroom/p3d_classroom.pbrt

@@ -4,8 +4,8 @@ Integrator "path" "integer maxdepth" [ 65 ]
 Sampler "random" "integer pixelsamples" [ 64 ]
 PixelFilter "triangle" "float xwidth" [ 1.000000 ] "float ywidth" [ 1.000000 ] 
 Film "image" 
-	"integer xresolution" 1920 
-	"integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
 	"string filename" [ "p3d_classroom.rawls" ]
 #Camera "perspective" "float fov" [ 35.983398 ] 
 

+ 2 - 2
coffee-splash/p3d_splash.pbrt

@@ -11,8 +11,8 @@ Camera "perspective"
 Film "image"
 	"integer xresolution" 1920
 	"integer yresolution" 1080
-        "float scale" 2
-        "string filename" "p3d_coffee-splash.rawls"
+    "float scale" 2
+    "string filename" "p3d_coffee-splash.rawls"
 
 WorldBegin
 

+ 2 - 2
contemporary-bathroom/p3d_contemporary-bathroom.pbrt

@@ -1,7 +1,7 @@
 
 Film "image"
-    "integer xresolution" 1920 
-    "integer yresolution" 1080
+	"integer xresolution" 1920
+	"integer yresolution" 1080
     "string filename" "p3d_contemporary-bathroom.rawls"
     "float scale" 3
 "float maxsampleluminance" 50

+ 2 - 2
crown/p3d_crown.pbrt

@@ -1,8 +1,8 @@
 Scale -1 1 1
 
 Film "image" 
-    "integer xresolution" 1920 
-    "integer yresolution" 1080
+	"integer xresolution" 1920
+	"integer yresolution" 1080
     "string filename" "p3d_crown.rawls"
 # imgtool convert -bloomlevel 1 crown.exr crown.png 
 

+ 2 - 2
dining-room/p3d_dining-room.pbrt

@@ -4,8 +4,8 @@ Integrator "path" "integer maxdepth" [ 65 ]
 Sampler "random" "integer pixelsamples" [ 64 ]
 PixelFilter "triangle" "float xwidth" [ 1.000000 ] "float ywidth" [ 1.000000 ] 
 Film "image" 
-	"integer xresolution" 1920 
-	"integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
 	"string filename" [ "p3d_dining-room.rawls" ]
 #Camera "perspective" "float fov" [ 35.983398 ] 
 

+ 2 - 2
dragon/p3d_dragon.pbrt

@@ -1,7 +1,7 @@
 
 Film "image" 
-    "integer xresolution" 1920 
-    "integer yresolution" 1080
+	"integer xresolution" 1920
+	"integer yresolution" 1080
     "string filename" "p3d_dragon.rawls"
 
 Sampler "random" "integer pixelsamples" [ 64 ]

+ 2 - 2
ecosys/p3d_ecosys.pbrt

@@ -1,7 +1,7 @@
 Scale -1 1 1
 Film "image" 
-        "integer xresolution" 1920 
-        "integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
         "string filename" [ "p3d_ecosys.rawls" ] 
 
 LookAt 28 1.79999995 1.5

+ 2 - 2
ganesha/p3d_ganesha.pbrt

@@ -4,8 +4,8 @@ Integrator "path" "integer maxdepth" [ 65 ]
 PixelFilter "gaussian"
 
 Film "image" 
-    "integer xresolution" 1920 
-    "integer yresolution" 1080
+	"integer xresolution" 1920
+	"integer yresolution" 1080
     "string filename" "p3d_ganesha.rawls"
 
 Scale -1 1 1

+ 2 - 2
glass-of-water/p3d_glass-of-water.pbrt

@@ -4,8 +4,8 @@ Integrator "path" "integer maxdepth" [ 65 ]
 Sampler "random" "integer pixelsamples" [ 64 ]
 PixelFilter "triangle" "float xwidth" [ 1.000000 ] "float ywidth" [ 1.000000 ] 
 Film "image" 
-	"integer xresolution" 1920 
-	"integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
 	"string filename" [ "p3d_glass-of-water.rawls" ]
 #Camera "perspective" "float fov" [ 20.114292 ] 
 

+ 1 - 1
glass/p3d_glass.pbrt

@@ -9,7 +9,7 @@ Camera "perspective"
 	"float fov" [7.327086285904825]
 
 Film "image"
-	"integer xresolution" 1920 
+	"integer xresolution" 1920
 	"integer yresolution" 1080
     "string filename" "p3d_glass.rawls"
         

+ 2 - 2
kitchen/p3d_kitchen.pbrt

@@ -4,8 +4,8 @@ Integrator "path" "integer maxdepth" [ 65 ]
 Sampler "random" "integer pixelsamples" [ 64 ]
 PixelFilter "triangle" "float xwidth" [ 1.000000 ] "float ywidth" [ 1.000000 ] 
 Film "image" 
-	"integer xresolution" 1920 
-	"integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
 	"string filename" [ "p3d_kitchen.rawls" ]
 #Camera "perspective" "float fov" [ 35.983398 ] 
 

+ 2 - 2
lamp/p3d_lamp.pbrt

@@ -4,8 +4,8 @@ Integrator "path" "integer maxdepth" [ 65 ]
 Sampler "random" "integer pixelsamples" [ 64 ]
 PixelFilter "triangle" "float xwidth" [ 1.000000 ] "float ywidth" [ 1.000000 ] 
 Film "image" 
-	"integer xresolution" 1920 
-	"integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
 	"string filename" [ "p3d_lamp.rawls" ]
 #Camera "perspective" "float fov" [ 35.000000 ] 
 

+ 2 - 2
landscape/p3d_view-0.pbrt

@@ -8,8 +8,8 @@ Sampler "random" "integer pixelsamples" [ 64 ]
 Integrator "path" "integer maxdepth" [ 65 ]
 
 Film "image" 
-        "integer xresolution" 1920 
-        "integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
         "string filename" [ "p3d_landscape-view-0.rawls" ]
 
 #############################################

+ 2 - 2
landscape/p3d_view-1.pbrt

@@ -8,8 +8,8 @@ Sampler "random" "integer pixelsamples" [ 64 ]
 Integrator "path" "integer maxdepth" [ 65 ]
 
 Film "image" 
-        "integer xresolution" 1920 
-        "integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
         "string filename" [ "p3d_landscape-view-1.rawls" ]
 
 #############################################

+ 2 - 2
landscape/p3d_view-2.pbrt

@@ -8,8 +8,8 @@ Sampler "random" "integer pixelsamples" [ 64 ]
 Integrator "path" "integer maxdepth" [ 65 ]
 
 Film "image" 
-        "integer xresolution" 1920 
-        "integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
         "string filename" [ "p3d_landscape-view-2.rawls" ]
 
 #############################################

+ 2 - 2
landscape/p3d_view-3.pbrt

@@ -8,8 +8,8 @@ Sampler "random" "integer pixelsamples" [ 64 ]
 Integrator "path" "integer maxdepth" [ 65 ]
 
 Film "image" 
-        "integer xresolution" 1920 
-        "integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
         "string filename" [ "p3d_landscape-view-3.rawls" ]
 
 #############################################

+ 2 - 2
landscape/p3d_view-4.pbrt

@@ -8,8 +8,8 @@ Sampler "random" "integer pixelsamples" [ 64 ]
 Integrator "path" "integer maxdepth" [ 65 ]
 
 Film "image" 
-        "integer xresolution" 1920 
-        "integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
         "string filename" [ "p3d_landscape-view-4.rawls" ]
 
 #############################################

+ 2 - 2
living-room-2/p3d_living-room-2.pbrt

@@ -4,8 +4,8 @@ Integrator "path" "integer maxdepth" [ 65 ]
 Sampler "random" "integer pixelsamples" [ 64 ]
 PixelFilter "triangle" "float xwidth" [ 1.000000 ] "float ywidth" [ 1.000000 ] 
 Film "image" 
-	"integer xresolution" 1920 
-	"integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
 	"string filename" [ "p3d_living-room-2.rawls" ]
 #Camera "perspective" "float fov" [ 58.715508 ] 
 

+ 2 - 2
living-room-3/p3d_living-room-3.pbrt

@@ -4,8 +4,8 @@ Integrator "bdpt" "integer maxdepth" [ 65 ]
 Sampler "random" "integer pixelsamples" [ 64 ]
 PixelFilter "triangle" "float xwidth" [ 1.000000 ] "float ywidth" [ 1.000000 ] 
 Film "image" 
-	"integer xresolution" 1920 
-	"integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
 	"string filename" [ "p3d_living-room-3.rawls" ]
 #Camera "perspective" "float fov" [ 29.394957 ] 
 

+ 2 - 2
living-room/p3d_living-room.pbrt

@@ -4,8 +4,8 @@ Integrator "path" "integer maxdepth" [ 65 ]
 Sampler "random" "integer pixelsamples" [ 64 ]
 PixelFilter "triangle" "float xwidth" [ 1.000000 ] "float ywidth" [ 1.000000 ] 
 Film "image" 
-	"integer xresolution" 1920 
-	"integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
 	"string filename" [ "p3d_living-room.rawls" ]
 #Camera "perspective" "float fov" [ 58.715508 ] 
 

+ 2 - 2
spaceship/p3d_spaceship.pbrt

@@ -4,8 +4,8 @@ Integrator "path" "integer maxdepth" [ 65 ]
 Sampler "random" "integer pixelsamples" [ 64 ]
 PixelFilter "triangle" "float xwidth" [ 1.000000 ] "float ywidth" [ 1.000000 ] 
 Film "image" 
-	"integer xresolution" 1920 
-	"integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
 	"string filename" [ "p3d_spaceship.rawls" ]
 #Camera "perspective" "float fov" [ 35.983398 ] 
 

+ 2 - 2
sportscar/p3d_sportscar.pbrt

@@ -1,10 +1,10 @@
 
 ## FullHD
-Film "image" "integer xresolution" [1920] "integer yresolution" [1080]
+	"integer yresolution" 1080
 
 ## 720p
 Film "image" 
-	"integer xresolution" 1920 
+	"integer xresolution" 1920
 	"integer yresolution" 1080
     "string filename" "p3d_sportscar.rawls"
 

+ 2 - 2
sssdragon/p3d_dragon_250.pbrt

@@ -4,8 +4,8 @@ Integrator "path" "integer maxdepth" [ 65 ]
 PixelFilter "gaussian"
 
 Film "image" 
-    "integer xresolution" 1920 
-    "integer yresolution" 1080
+	"integer xresolution" 1920
+	"integer yresolution" 1080
     "string filename" "p3d_dragon_250.rawls"
 
 Scale -1 1 1

+ 2 - 2
staircase/p3d_staircase.pbrt

@@ -4,8 +4,8 @@ Integrator "path" "integer maxdepth" [ 65 ]
 Sampler "random" "integer pixelsamples" [ 64 ]
 PixelFilter "triangle" "float xwidth" [ 1.000000 ] "float ywidth" [ 1.000000 ] 
 Film "image" 
-	"integer xresolution" 1920 
-	"integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
 	"string filename" [ "p3d_staircase.rawls" ]
 #Camera "perspective" "float fov" [ 35.000000 ] 
 

+ 2 - 2
staircase2/p3d_staircase2.pbrt

@@ -4,8 +4,8 @@ Integrator "bdpt" "integer maxdepth" [ 65 ]
 Sampler "random" "integer pixelsamples" [ 64 ]
 PixelFilter "triangle" "float xwidth" [ 1.000000 ] "float ywidth" [ 1.000000 ] 
 Film "image" 
-	"integer xresolution" 1920 
-	"integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
 	"string filename" [ "p3d_staircase2.rawls" ]
 #Camera "perspective" "float fov" [ 70.000000 ] 
 

+ 3 - 1
structuresynth/p3d_arcsphere.pbrt

@@ -1,5 +1,7 @@
 
-Film "image" "integer xresolution" 1920 "integer yresolution" 1080
+Film "image" 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
     "string filename" "p3d_arcsphere.rawls"
     "float scale" 3
     

+ 2 - 2
tt/p3d_tt.pbrt

@@ -1,7 +1,7 @@
 Scale -1 1 1
 Film "image" 
-        "integer xresolution" 1920 
-        "integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
         "string filename" [ "p3d_tt.rawls" ] 
 LookAt -2 2 2
         1.79999995 -0.150000006 0.649999976

+ 2 - 2
tungsten_veach-bidir/p3d_veach-bidir.pbrt

@@ -4,8 +4,8 @@ Integrator "path" "integer maxdepth" [ 65 ]
 Sampler "random" "integer pixelsamples" [ 64 ]
 PixelFilter "triangle" "float xwidth" [ 1.000000 ] "float ywidth" [ 1.000000 ] 
 Film "image" 
-	"integer xresolution" 1920 
-	"integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
 	"string filename" [ "p3d_tungsten_veach-bidir.rawls" ]
 #Camera "perspective" "float fov" [ 35.000000 ] 
 

+ 2 - 2
tungsten_veach-mis/p3d_veach-mis.pbrt

@@ -4,8 +4,8 @@ Integrator "path" "integer maxdepth" [ 65 ]
 Sampler "random" "integer pixelsamples" [ 64 ]
 PixelFilter "triangle" "float xwidth" [ 1.000000 ] "float ywidth" [ 1.000000 ] 
 Film "image" 
-	"integer xresolution" 1920 
-	"integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
 	"string filename" [ "p3d_tungsten_veach-mis.rawls" ]
 #Camera "perspective" "float fov" [ 20.114292 ] 
 

+ 2 - 2
veach-ajar/p3d_veach-ajar.pbrt

@@ -4,8 +4,8 @@ Integrator "path" "integer maxdepth" [ 65 ]
 Sampler "random" "integer pixelsamples" [ 64 ]
 PixelFilter "triangle" "float xwidth" [ 1.000000 ] "float ywidth" [ 1.000000 ] 
 Film "image" 
-	"integer xresolution" 1920 
-	"integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
 	"string filename" [ "p3d_veach-ajar.rawls" ]
 #Camera "perspective" "float fov" [ 35.983398 ] 
 

+ 2 - 2
veach-bidir/p3d_bidir.pbrt

@@ -7,8 +7,8 @@ Integrator "path" "integer maxdepth" [ 65 ]
 PixelFilter "box"
 
 Film "image" 
-    "integer xresolution" 1920 
-    "integer yresolution" 1080
+	"integer xresolution" 1920
+	"integer yresolution" 1080
     "string filename" "p3d_bidir.rawls"
 
 Scale -1 1 1

+ 2 - 2
villa/p3d_villa-daylight.pbrt

@@ -6,8 +6,8 @@ Camera "perspective"
         "float fov" [ 48 ] 
 
 Film "image" 
-        "integer xresolution" 1920 
-        "integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
         "float scale" [ 3 ] 
         "string filename" "p3d_villa-daylight.rawls"
 

+ 2 - 2
volume-caustic/p3d_caustic.pbrt

@@ -3,8 +3,8 @@ MakeNamedMedium "vol"
         "rgb sigma_a" [ 0.0199999996 0.0199999996 0.0199999996 ] 
         "rgb sigma_s" [ 0.3499999940 0.3499999940 0.3499999940 ] 
 Film "image" 
-        "integer xresolution" 1920 
-        "integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
         "string filename" [ "p3d_caustic.rawls" ] 
 
 Sampler "random" "integer pixelsamples" [ 64 ]

+ 2 - 2
vw-van/p3d_vw-van.pbrt

@@ -6,8 +6,8 @@ Camera "perspective"
 Sampler "random" "integer pixelsamples" [ 64 ]
         "integer pixelsamples" [ 128 ] 
 Film "image" 
-        "integer xresolution" 1920 
-        "integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
         "string filename" [ "p3d_vw-van.rawls" ]
         "float scale" 3
 

+ 2 - 2
water-caustic/p3d_water-caustic.pbrt

@@ -4,8 +4,8 @@ Integrator "path" "integer maxdepth" [ 65 ]
 Sampler "random" "integer pixelsamples" [ 64 ]
 PixelFilter "triangle" "float xwidth" [ 1.000000 ] "float ywidth" [ 1.000000 ] 
 Film "image" 
-	"integer xresolution" 1920 
-	"integer yresolution" 1080 
+	"integer xresolution" 1920
+	"integer yresolution" 1080
 	"string filename" [ "p3d_water-caustic.rawls" ]
 #Camera "perspective" "float fov" [ 19.500000 ] 
 

+ 2 - 2
white-room/p3d_whiteroom-daytime.pbrt

@@ -6,8 +6,8 @@
 
 Film "image" 
    "string filename" "p3d_whiteroom-daytime.rawls"
-   "integer xresolution" 1920 
-   "integer yresolution" 1080
+	"integer xresolution" 1920
+	"integer yresolution" 1080
 # fireplace and drawers on right "float cropwindow" [ .2 .4 .45 .75]
 #"float cropwindow" [.33 .45 .62 .7]
 # wood planks

+ 2 - 2
white-room/p3d_whiteroom-night.pbrt

@@ -6,8 +6,8 @@
 
 Film "image" 
    "string filename" "p3d_whiteroom-night.rawls"
-   "integer xresolution" 1920 
-   "integer yresolution" 1080
+	"integer xresolution" 1920
+	"integer yresolution" 1080
 # imgtool convert -bloomlevel 5 -tonemap -maxluminance 3 -scale 4 whiteroom-night.{exr,png}
 
 # fireplace and drawers on right "float cropwindow" [ .2 .4 .45 .75]